package com.example.demo.controller;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.codec.digest.DigestUtils;
import org.apache.http.HttpResponse;
import org.apache.http.HttpStatus;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicHeader;
import org.apache.http.protocol.HTTP;

import java.io.*;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

public class Test {

    public static void main(String args[]){

        String Filename = "D://test.json";
        String jsonStr = "";
        try {
            File jsonFile = new File(Filename);
            FileReader fileReader = new FileReader(jsonFile);
            Reader reader = new InputStreamReader(new FileInputStream(jsonFile),"utf-8");
            int ch = 0;
            StringBuffer sb = new StringBuffer();
            while ((ch = reader.read()) != -1) {
                sb.append((char) ch);
            }
            fileReader.close();
            reader.close();
            jsonStr = sb.toString();
            JSONObject jsonObject = JSONObject.parseObject(jsonStr);
            String fileDatas = jsonObject.getString("fileDatas");
            System.out.println(fileDatas);

        } catch (IOException e) {
            e.printStackTrace();
        }

    }

    public static String mySign(String access_key, long timestamp){
        //字典序排序
        String[] arr = {access_key,String.valueOf(timestamp )};
        Arrays.sort(arr);
        //按排序后的前后顺序连成串
        StringBuffer buf = new StringBuffer();
        buf.append(arr[0]).append(arr[1]);
        String befStr = buf.toString();
        //SHA1加密
        String mySign = DigestUtils.shaHex(befStr.getBytes());
        return mySign;
    }




}
